Qt 5.8 | Qt 3D | C++ Classes | QViewport

Qt 5.8.0 Reference Documentation

# QViewport Class

(Qt3DRender::QViewport)

A viewport on the Qt3D Scene More...

Header: | #include <QViewport>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | Viewport
Inherits: | Qt3DRender::QFrameGraphNode

- List of all members, including inherited members

## Properties

- normalizedRect : QRectF

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QViewport(Qt3DCore::QNode *parent = nullptr)
QRectF | normalizedRect() const

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setNormalizedRect(const QRectF &normalizedRect)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | normalizedRectChanged(const QRectF &normalizedRect)

- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QViewport(QViewportPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

A viewport on the Qt3D Scene

Qt3DRender::QViewport of the scene specifies at which portion of the render surface Qt3D is rendering to. Area outside the viewport is left untouched.

## Property Documentation

### normalizedRect : QRectF

Specifies the normalised rectangle for the viewport, i.e. the viewport rectangle is specified relative to the render surface size. Whole surface sized viewport is specified as [0.0, 0.0, 1.0, 1.0], which is the default.

Access functions:

QRectF | normalizedRect() const
void | setNormalizedRect(const QRectF &normalizedRect)

Notifier signal:

void | normalizedRectChanged(const QRectF &normalizedRect)

## Member Function Documentation

### QViewport::QViewport(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QViewport.

### `[protected]` QViewport::QViewport(QViewportPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.